<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Zona{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO zona (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idzona,$nombre,$descripcion){
	$sql="UPDATE zona SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idzona='$idzona'";
	return ejecutarConsulta($sql);
}
public function desactivar($idzona){
	$sql="UPDATE zona SET condicion='0' WHERE idzona='$idzona'";
	return ejecutarConsulta($sql);
}
public function activar($idzona){
	$sql="UPDATE zona SET condicion='1' WHERE idzona='$idzona'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idzona){
	$sql="SELECT * FROM zona WHERE idzona='$idzona'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM zona";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM zona WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
